package com.qxgmat.dto.response;

import java.util.Date;
import java.util.Map;

public class UserStudyDetailDto {
    // 学习天数
    private Integer days;

    // 学习时长
    private Integer time;

    // 注册时间
    private Date createTime;

    // 练习分学科时长
    private Map<Integer, Integer> categoryMap;

    // 模考时长
    private Integer examinationTime;

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Map<Integer, Integer> getCategoryMap() {
        return categoryMap;
    }

    public void setCategoryMap(Map<Integer, Integer> categoryMap) {
        this.categoryMap = categoryMap;
    }

    public Integer getExaminationTime() {
        return examinationTime;
    }

    public void setExaminationTime(Integer examinationTime) {
        this.examinationTime = examinationTime;
    }

    //
}
